%define pypi_name blinker

Name:           python-blinker
Version:        1.3
Release:        %mkrel 3
Summary:        Fast, simple object-to-object and broadcast signaling

Group:          Development/Python
License:        MIT
URL:            http://discorporate.us/projects/Blinker/
Source0:        http://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Blinker provides a fast dispatching system that allows any number 
of interested parties to subscribe to events, or "signals".

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Fast, simple object-to-object and broadcast signaling

%description -n python3-%{pypi_name}
Blinker provides a fast dispatching system that allows any number 
of interested parties to subscribe to events, or "signals".

%prep
%setup -q -n %{pypi_name}-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc docs/ CHANGES README PKG-INFO
%{python_sitelib}/*.egg-info
%{python_sitelib}/%{pypi_name}

%files -n python3-blinker
%doc docs/ CHANGES README PKG-INFO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543235
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498193
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 492216
- imported package python-blinker

